## debian-history 2.25

=== Makefile ===
#######################################################################
# Makefile for the Debian History
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL := project-history
# languages which has PO files
# debian/rules may reduce PO files used through this variable
LANGPO := $(patsubst po4a/po/%.po,%,$(wildcard po4a/po/??.po))
# languages to skip generation of PDF files (not used now)
NOPDF	:=
# all languages to build document
LANGALL	:= en $(LANGPO)
# All PO files
POFILES := $(patsubst %,po4a/po/%.po,$(LANGPO))
# All DocBook files from PO files
DBKFILES := $(patsubst %,$(MANUAL).%.dbk,$(LANGPO))

# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DPO	:=	po4a/po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# Program name and option
XPINC	:=	xsltproc --novalid --nonet --xinclude
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

#######################################################################
# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE
# BUILD_ROOT is where files are generated
BUILD_ROOT	:= $(CURDIR)/build_root
# Just in case
DESTDIR		?= $(CURDIR)/install_root
#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef
#######################################################################
# This let you check source tree with "make"
.PHONY: all
all: css html
	$(DBIN)/fuzzypo $(DPO)/$*.po >>fuzzy.log
	cat fuzzy.log

.PHONY: build install
build: css html txt pdf epub

install: build
	mkdir -p $(DESTDIR)/usr/share/doc/debian-history/docs/
	cp -a $(BUILD_ROOT)/. $(DESTDIR)/usr/share/doc/debian-history/docs/

#######################################################################
# version of this Debian package (debian/changelog)
PUBVERSION ?= $(shell { git describe --tags 2>/dev/null |sed "s/^tags\//vcs-/" ; })
# short date of this Debian package (debian/changelog)
PUBDATE ?= $(shell { date +'%Y-%m-%d' ; })

version.ent:
	echo '<!ENTITY pubversion "$(PUBVERSION)">' > $@
	echo '<!ENTITY pubdate "$(PUBDATE)">' >> $@

#######################################################################
.PHONY: dbk
dbk: $(DBKFILES) $(MANUAL).en.dbk version.ent

.PHONY: po
po: $(DBKFILES) $(MANUAL).en.dbk

# Always generate  po4a/po/$(MANUAL).pot from the source
# VCS may or may not include po4a/po/$(MANUAL).pot this way

$(DBKFILES): $(MANUAL).en.dbk $(POFILES)
	touch po4a/po/$(MANUAL).pot
	po4a --force po4a/po4a.cfg

#######################################################################
.PHONY: css
css:
	-rm -rf $(BUILD_ROOT)/images
	mkdir -p $(BUILD_ROOT)/images
	cp -f $(DXSL)/$(MANUAL).css $(BUILD_ROOT)/$(MANUAL).css
	echo "AddCharset UTF-8 .txt" > $(BUILD_ROOT)/.htaccess
	cd $(DIMG) ; cp caution.png important.png note.png tip.png up.gif \
		warning.png $(BUILD_ROOT)/images
	cd png ; cp home.png next.png prev.png $(BUILD_ROOT)/images

#######################################################################
.PHONY: html
html:	$(foreach LX, $(LANGALL), $(BUILD_ROOT)/index.$(LX).html)

# Multi page HTML (target file name should be the full path from /)
$(BUILD_ROOT)/index.%.html: $(MANUAL).%.dbk version.ent
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BUILD_ROOT)
	$(XPINC)   --stringparam base.dir $(BUILD_ROOT)/ \
                --stringparam html.ext .$*.html \
                $(DXSL)/style-html.xsl $<

#######################################################################
.PHONY: txt
txt:	$(foreach LX, $(LANGALL), $(BUILD_ROOT)/$(MANUAL).$(LX).txt.gz)

# style-txt.xsl provides work around for hidden URL links by appending them
# explicitly.
$(BUILD_ROOT)/$(MANUAL).%.txt.gz: $(MANUAL).%.dbk version.ent
	@$(call check-command, w3m, w3m)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BUILD_ROOT)
	$(XPINC) $(DXSL)/style-txt.xsl $< | LC_ALL=en_US.UTF-8 \
	  w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html | \
	  gzip -n -9 - > $@

#######################################################################
.PHONY: pdf
pdf:	$(foreach LX, $(LANGALL), $(BUILD_ROOT)/$(MANUAL).$(LX).pdf)

nopdf: $(BUILD_ROOT)/nopdf.pdf

$(BUILD_ROOT)/nopdf.pdf: nopdf.tex
	-mkdir -p $(BUILD_ROOT)
	cd "$(CURDIR)/tmp/"; \
	xelatex ../nopdf.tex

$(foreach LX, $(NOPDF), $(BUILD_ROOT)/$(MANUAL).$(LX).pdf): $(BUILD_ROOT)/nopdf.pdf
	-mkdir -p $(BUILD_ROOT)
	cp $(BUILD_ROOT)/nopdf.pdf $@

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(BUILD_ROOT)/$(MANUAL).%.pdf: $(MANUAL).%.dbk version.ent
	@$(call check-command, dblatex, dblatex)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(CURDIR)/tmp
	export TEXINPUTS=".:"; \
	export BUILD_ROOT="$(CURDIR)/tmp/"; \
	$(XPINC) $(DXSL)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--backend=xetex \
		--xsl-user=$(DXSL)/user_param.xsl \
		--xsl-user=$(DXSL)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
.PHONY: tex
tex:	$(foreach LX, $(LANGALL), $(BUILD_ROOT)/$(MANUAL).$(LX).tex)

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(BUILD_ROOT)/$(MANUAL).%.tex: $(MANUAL).%.dbk version.ent
	-mkdir -p $(CURDIR)/tmp
	export TEXINPUTS=".:"; \
	export BUILD_ROOT="$(CURDIR)/tmp/"; \
	$(XPINC) $(DXSL)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--type=tex \
		--backend=xetex \
		--xsl-user=$(DXSL)/user_param.xsl \
		--xsl-user=$(DXSL)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
.PHONY: epub
epub:	$(foreach LX, $(LANGALL), $(BUILD_ROOT)/$(MANUAL).$(LX).epub)

$(BUILD_ROOT)/$(MANUAL).%.epub: $(MANUAL).%.dbk version.ent
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BUILD_ROOT)/epub-tmp-$*/
	cd $(BUILD_ROOT)/epub-tmp-$*/ ; $(XPINC) $(CURDIR)/$(DXSL)/style-epub.xsl $(CURDIR)/$<
	cp -f $(DXSL)/mimetype $(BUILD_ROOT)/epub-tmp-$*/mimetype
	cp -f $(DXSL)/project-history.css $(BUILD_ROOT)/epub-tmp-$*/OEBPS/project-history.css
	cp -f $(DXSL)/debian-openlogo.png $(BUILD_ROOT)/epub-tmp-$*/OEBPS/debian-openlogo.png
	cd $(BUILD_ROOT)/epub-tmp-$*/ ; zip -r $@ ./
	rm -rf $(BUILD_ROOT)/epub-tmp-$*/

#######################################################################
.PHONY: clean
clean:
	-rm -f $(DBKFILES) version.ent
	-rm -rf $(BUILD_ROOT)
	-rm -f $(DPO)/*~ $(DPO)/*.mo
	-rm -f fuzzy.log
#######################################################################
.PHONY: distclean
distclean: clean

#######################################################################
### Utility targets
#######################################################################
.PHONY: wrap nowrap wip
wrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX $$XX ;\
	done
nowrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
	done

wip:
	@$(call check-command, msgattrib, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
	done

#######################################################################
# $ make rsync
# export build result to http://people.debian.org/~osamu/debian-history/
#######################################################################
.PHONY: rsync
rsync: all
	rsync -avz $(BUILD_ROOT)/ osamu@people.debian.org:public_html/debian-history/

=== debian/changelog ===
debian-history (2.25) unstable; urgency=medium

  [ Boyuan Yang ]
  * Non-maintainer upload from git repo with acknowledgement from
    the maintainer to fix current DPL information. (Closes: #970242)
  * Bump Standards-Version to 4.5.0.

  [ Holger Wansing ]
  * Fix number of developers when Sarge was released. Closes: #925152
  * Add Debconf15 - Debconf19.
  * Update information regarding project leader vote 2020.

  [ Sangdo Jun ]
  * Update of Korean translation.

  [ Martin Michlmayr ]
  * Fix typos and cosmetic issues.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Sep 2020 09:50:29 -0400

=== debian/control ===
Source: debian-history
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     fonts-liberation2,
                     fonts-vlgothic,
                     fonts-wqy-microhei,
                     libxml2-utils,
                     locales-all | locales,
                     po4a,
                     texlive-lang-all,
                     latex-cjk-all,
                     texlive-xetex,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 4.5.0
Homepage: https://www.debian.org/doc/misc-manuals#history
Vcs-Git: https://salsa.debian.org/ddp-team/project-history.git
Vcs-Browser: https://salsa.debian.org/ddp-team/project-history

Package: debian-history
Architecture: all
Depends: ${misc:Depends}
Description: Short History of the Debian Project
 As the Debian community continues to grow, and "old timers" become fewer
 and farther between, it seems appropriate to document where the project
 came from, and what it is about.
 .
 The package includes the original document (in English) as well as the
 translations in French, German, Italian, Japanese, Korean, Portuguese,
 Russian, Spanish, and Lithuanian.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-history
## ----------------------------------------------------------------------

include /usr/share/dpkg/pkg-info.mk

# version of this Debian package (debian/changelog)
PUBVERSION := $(DEB_VERSION)
# short date of this Debian package (debian/changelog)
PUBDATE := $(shell { date +'%Y-%m-%d' -d"@$(SOURCE_DATE_EPOCH)" ; })

export PUBVERSION
export PUBDATE

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## no-parallel to build with the cleaner log (it slows!)
#BUILDOPT:=	 --parallel
BUILDOPT:=	 --no-parallel

## ----------------------------------------------------------------------
# Package building language choice
# (This should be updated with the maintainer approval)
#
MANUAL	:=	debian-history
LANGALL	:=	en de fr it ja ko lt pt ru
LANGPO	:=	   de fr it ja ko lt pt ru
# languages to skip generation of PDF files (not used now)
#NOPDF	:=	ja
NOPDF	:=	

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	dh_auto_build $(BUILDOPT) -- \
		"LANGALL=$(LANGALL)" \
		"LANGPO=$(LANGPO)" \
		"NOPDF=$(NOPDF)" \
		all


override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	: # no need to test build html pages

override_dh_auto_clean:
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-history 2.26

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
@@ -19,7 +19,7 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.debian.org/doc/misc-manuals#history
 Vcs-Git: https://salsa.debian.org/ddp-team/project-history.git
 Vcs-Browser: https://salsa.debian.org/ddp-team/project-history
@@ -27,6 +27,7 @@
 Package: debian-history
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Short History of the Debian Project
  As the Debian community continues to grow, and "old timers" become fewer
  and farther between, it seems appropriate to document where the project

## debian-history 2.28

=== debian/changelog ===
debian-history (2.28) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Update German translation. (Closes: #1031153)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 15 Feb 2023 22:40:17 +0100

debian-history (2.27) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Add information about the release of Debian 11 Bullseye, starting the
    development circle of Bookworm.
  * Add Debconf20 - Debconf21.

  [ Nicolas Patrois ]
  * French translation update. (Closes: #997871)

  [ Vagrant Cascadian ]
  * Fix spelling and remove trailing non-printable characters
    from debian/changelog.
  * Set "Rules-Requires-Root: no", package doesn't require root
    to be build. (Closes: #998302)

  [ Ricardo Mones ]
  * Fix broken URL for Duchenne muscular dystrophy.

  [ Sangdo Jun ]
  * Update of Korean translation.

  [ Jakub Wilk ]
  * Fix typo. (Closes: #1010405)

  [ Ana Guerrero Lopez ]
  * The maintenance of debian-history and the package have been adopted
    by the publicity team.
  * Update document to show the new team
  * Update Maintainer field to Debian publicity, move Bdale to Uploaders.
  * Updated Vcs-Svn and Vcs-Browser fields to point to new URL
    in the publicity team.
  * Bump Standards-Version to 4.6.2.

  [ Joost van Baal-Ilić ]
  * Update copy of constitution: replace version 1.7 ratified on August
    14th, 2016 with version 1.9 ratified on March 26th, 2022.  (With
    help from "lynx -dump https://www.debian.org/devel/constitution" and
    manual finetuning afterwards.)
  * Link to scanned printout of the Debian creation announcement as
    hosted on our own infrastructure. Thanks Laura Arjona Reina.
    (Closes: #924131)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 10 Feb 2023 22:10:58 +0100

debian-history (2.26) unstable; urgency=medium

  [ Bdale Garbee ]
  * apply patch from Vagrant Cascadian that improves reproducibility of
    builds, closes: #976359
  * incorporate updated Portuguese translation, closes: #962436
  * update to latest debhelper compat and policy versions

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + debian-history: Add Multi-Arch: foreign.

 -- Bdale Garbee <bdale@gag.com>  Mon, 25 Oct 2021 22:23:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: debian-history
 Section: doc
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
-Uploaders: Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
+Maintainer: Debian publicity team <debian-publicity@lists.debian.org>
+Uploaders: Bdale Garbee <bdale@gag.com>, Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex,
                      docbook-xml,
@@ -19,10 +19,11 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://www.debian.org/doc/misc-manuals#history
-Vcs-Git: https://salsa.debian.org/ddp-team/project-history.git
-Vcs-Browser: https://salsa.debian.org/ddp-team/project-history
+Vcs-Git: https://salsa.debian.org/publicity-team/debian-history.git
+Vcs-Browser: https://salsa.debian.org/publicity-team/debian-history
 
 Package: debian-history
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,12 @@
 # version of this Debian package (debian/changelog)
 PUBVERSION := $(DEB_VERSION)
 # short date of this Debian package (debian/changelog)
-PUBDATE := $(shell { date +'%Y-%m-%d' -d"@$(SOURCE_DATE_EPOCH)" ; })
+PUBDATE := $(shell { date +'%Y-%m-%d' --utc -d"@$(SOURCE_DATE_EPOCH)" ; })
 
 export PUBVERSION
 export PUBDATE
+# Needed for texlive to respect SOURCE_DATE_EPOCH when setting date
+export FORCE_SOURCE_DATE=1
 
 ## ----------------------------------------------------------------------
 ## uncomment this to turn on verbose mode

## debian-history 13.1

=== debian/changelog ===
debian-history (13.1) unstable; urgency=medium

  * Team upload.

  [ Joost van Baal-Ilić ]
  * po4a/po/??.po: updated by running "make dbk".
  * po4a/request-for-translation-updates.sh: drop Bcc: not needed.
  * project-history.en.db: add section on release Debian 12 Bookworm.

  [ Beatrice Torracca ]
  * po4a/po/it.po: Update Italian translation.

  [ Américo Monteiro ]
  * po4a/po/pt.po: Update Portuguese translation.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 07 Aug 2024 13:56:18 +0200

debian-history (13.0) unstable; urgency=medium

  * Team upload.
    + Fixes bug "debian-history package needs to be updated" as reported
      by Kalyani Kenekar (Closes: #1074052)

  [ Laura Arjona Reina ]
  * Add mention to LTS for releases 6 onwards.
  * Complete descriptions for releases 9, 10 and 11.

  [ Joost van Baal-Ilić ]
  * Try to reflect Debian release in our version numbering; this one is
    in preparation of a 13.x upload targeted to ship with 'trixie'.
  * Remove obituaries out of section 'Important Events'; rename
    'Important Events' to 'Some Important Events'; file obituaries under
    new section 'Remembering People We Have Lost'
  * Added section on the passing of Abraham Raji, taken from
    https://www.debian.org/News/2023/20230914.
  * Added section on the passing of Peter "p2" De Schrijver, 2024-07.
  * Added Gunnar Hjalmarsson obituary.  Thanks Jeremy Bícha for d-private
    message
    <CAD+GYvwowzuZMXhLUw7q8Xx1SiXHv3vq2T4gdROrDzVa_LQUSw@mail.gmail.com>.
    See also
    https://discourse.ubuntu.com/t/in-memoriam-gunnar-hjalmarsson/42284 .
  * Added section on the passing of Innocent de Marchi (news item 2019-03).
  * Added section on the passing of Lucy Wayland (news item 2019-03).
  * Added sections on the passing of Robert Lemmen, Karl Ramm and Rogério
    Theodoro de Brito (news item 2021-08).
  * an3as is now our DPL, thanks mason.
    https://lists.debian.org/msgid-search/E1rxyAE-001IPH-G1@vento.debian.org
  * Add some notes on DebConf22 Kosovo and DebConf23 India.
  * debian/lintian-overrides: added: keep ancient files dedication-2.2.*.txt
    in legacy ISO-8859 encoding in order to be able to verify pgp sigs as
    shipped in dedication-2.2.sigs.tar.gz (and stop lintian from warning
    about this).
  * Update Portuguese translation, as contributed by Américo Monteiro.
    (Closes: #1031638)
  * po4a/po/??.po: updated by running "make dbk", thanks Jean-Pierre
    Giraud for the hint.
  * po4a/po4a.cfg: disable workaround for po4a Bug#518218, which got fixed in
    2018.
  * po4a/request-for-translation-updates.sh: add script to generate emails
    asking for translation updates.
  * TODO: add more plans and ideas.

  [ Donald Norwood ]
  * mentions/30yearmentions: add collection of URLs and descriptions of
    external parties mentioning our 30 years anniversary.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 28 Jul 2024 11:39:05 +0200

## debian-history 13.3

=== debian/changelog ===
debian-history (13.3) unstable; urgency=medium

  [ Joost van Baal-Ilić ]
  * Added sections on the passing of
    - Steve "vorlon" Langasek,
    - Adam Conrad (thanks Holger Levsen) and
    - Paul Cupis (thanks Robie Basak).
  * d/control: add myself to Uploaders.

  [ Carles Pina i Estany ]
  * Make package reproducible
  * Enable CI integration

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 29 Mar 2025 15:00:58 +0100

debian-history (13.2) unstable; urgency=medium

  * Team upload.

  [ Joost van Baal-Ilić ]
  * po4a/po/de.po: update german translation, Thanks Holger Wansing
    (Closes: #1082983)

  [ Javier Fernández-Sanguino Peña ]
  * project-history.en.dbk: Fix typos spotted by Holger Wansing (Closes: #1082984)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Oct 2024 00:49:46 +0200

## debian-history 13.4

=== debian/changelog ===
debian-history (13.4) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update/Add the following translations:
    Romanian, thanks to Remus-Gabriel Chelu (Closes: #1101727)
    Japanese, thanks to Sadaharu Wakisaka.
    Catalan, thanks to Poc Senderi.

  [ Joost van Baal-Ilić ]
  * Update translation:
    European Portuguese, thanks to Américo Monteiro (Closes: #1101716)
  * Add section on the passing of Jérémy "lunar" Bobbio (see also
    https://lunar.anargeek.net/ ).

  [ Holger Wansing ]
  * Fix d/changelog for v13.3 (the 13.2 upload did never happen; document
    changes correctly + add missing entry for French).
  * Fix build failures/typos.

  [ Jean-Pierre Giraud ]
  * Update French translation.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 04 May 2025 14:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Debian publicity team <debian-publicity@lists.debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>, Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino <jfs@debian.org>
+Uploaders: Bdale Garbee <bdale@gag.com>, Osamu Aoki <osamu@debian.org>, Javier Fernandez-Sanguino Peña <jfs@debian.org>, Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex,
                      docbook-xml,

## debian-history 13.7

=== debian/changelog ===
debian-history (13.7) unstable; urgency=medium

  * d/debian-history.doc-base.ro: Fix one other typo in order to make sure
    we ship not just
    u/s/doc-base/debian-history.debian-history.{ca,de,fr,it,ja,ko,lt,pt,ru}
    but also debian-history.debian-history.ro.  Thanks Paul Gevers for yet
    another heads up.  Finally Closes: #1105897

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 17 May 2025 09:19:30 +0200

debian-history (13.6) unstable; urgency=medium

  * Correct Romanian doc-base file.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 16 May 2025 21:37:27 +0200

debian-history (13.5) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update the following translations:
    Catalan, thanks to Poc Senderi.
    Japanese, thanks to Sadaharu Wakisaka.
    Portuguese, thanks to Américo Monteiro.

  [ Holger Wansing ]
  * Updated german translation.
  * Complete integration of Catalan + Romanian translations.
  * Add missing entry for Spanish (es) in LANGPO and LANGALL in d/rules.
  * Updated list of translations in package description in d/control.

  [ Joost van Baal-Ilić ]
  * replace all links which are no longer hosted at
    https://www.debian.org/News/:
    - replace link https://www.debian.org/News/2003/20031202 by link to
      post @ debian-announce mailing list archive at
      https://lists.debian.org/msgid-search/20031202142351.GB3666@finlandia.infodrom.north.de
      : Subject: Debian Investigation Report after Server Compromises ,
      From: Martin Schulze , Date: Tue, 2 Dec 2003 .  See also To:
      debian-devel-announce@l.d.o , Subject: more details on the recent
      compromise of debian.org machines , From: James Troup , Date: Fri,
      28 Nov 2003 01:04:00 +0000 , Message-id:
      <8765h5wbgf.fsf@shiri.gloaming.local> .
    - replace link https://www.debian.org/News/1999/19990309 by
      https://lists.debian.org/msgid-search/199903101706.MAA13251@typhoon.
      icd.teradyne.com : To: debian-announce@l.d.o ,
      Subject: Debian GNU/Linux 2.1 'Slink' released , From: Nils Lohner ,
      Date: Wed, 10 Mar 1999 .
    - replace link https://www.debian.org/News/2007/20070408 by
      https://lists.debian.org/msgid-search/20070408131536.GE2859@schmehl.
      info : To: debian-announce@l.d.o , Subject: Debian GNU/Linux 4.0
      released , From: Alexander Schmehl , Date: Sun, 8 Apr 2007 .
    - replace link https://www.debian.org/News/2009/20090214 by
      https://lists.debian.org/msgid-search/20090215095848.GA21661@schmehl.
      info : To: debian-announce@l.d.o , Subject: Debian GNU/Linux 5.0
      released , From: Alexander Reichle-Schmehl , Date: Sat, 14 Feb 2009 .
    - replace link https://www.debian.org/News/2009/20090729 by
      https://lists.debian.org/msgid-search/20090729010802.GA29421@melusine.
      alphascorpii.net : To: debian-announce@l.d.o , Subject: Debian decides
      to adopt time-based release freezes , From: Meike Reichle , Date: Wed,
      29 Jul 2009 .
    - replace link https://www.debian.org/News/2010/20100806 by
      https://lists.debian.org/msgid-search/20100806141310.GA2965@ftbfs.de
      : To: debian-announce@l.d.o , Subject: Debian 6.0 "Squeeze" frozen ,
      From: Martin Zobel-Helas , Date: Fri, 6 Aug 2010 .
    - replace link https://www.debian.org/News/2011/20110726b by
      https://web.archive.org/web/20230404195248/https://www.debian.org/
      News/2011/20110726b . It seems there is no archived post to
      debian-announce, nor to debian-news nor debian-devel-announce@l.d.o.
      ( Debian 7 "Wheezy" to introduce multiarch support, July 26th, 2011 )
    - replace link https://www.debian.org/News/2012/20120425 by
      https://lists.debian.org/msgid-search/20120425174102.GB2529@zouish.org
      . To: debian-news@l.d.o , Subject: Deploy your own "cloud" with Debian
      "Wheezy" , From: Francesca Ciceri , Date: Wed, 25 Apr 2012 .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 13 May 2025 20:23:11 +0200

=== debian/control ===
--- 
+++ 
@@ -35,5 +35,5 @@
  came from, and what it is about.
  .
  The package includes the original document (in English) as well as the
- translations in French, German, Italian, Japanese, Korean, Portuguese,
- Russian, Spanish, and Lithuanian.
+ translations in Catalan, French, German, Italian, Japanese, Korean,
+ Portuguese, Romanian, Russian, Spanish, and Lithuanian.

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,8 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-history
-LANGALL	:=	en de fr it ja ko lt pt ru
-LANGPO	:=	   de fr it ja ko lt pt ru
+LANGALL	:=	en ca de es fr it ja ko lt pt ro ru
+LANGPO	:=	   ca de es fr it ja ko lt pt ro ru
 # languages to skip generation of PDF files (not used now)
 #NOPDF	:=	ja
 NOPDF	:=

=== debian/tests/control ===
Test-Command: grep -qe 'A Brief History of Debian' /usr/share/doc/debian-history/docs/index.en.html
Depends: @
